"""
>>> count_atoms(Path('data/ibuprofen.pdb'))  # doctest: +NORMALIZE_WHITESPACE
{'C': 13, 'H': 18, 'O': 2}

>>> count_atoms(Path('data/1tqn.pdb'))  # doctest: +NORMALIZE_WHITESPACE
{'C': 2479, 'FE': 1, 'N': 627, 'O': 868, 'S': 24}
"""


from pathlib import Path


def count_atoms(pdb_file: Path) -> dict[str, int]:
    raise NotImplementedError()  # Nahraďte řešením
