"""
>>> find('Nemo', Path('data/CSFD/Hleda_se_Nemo.txt'))  # doctest: +NORMALIZE_WHITESPACE
['a odlehlém příbytku ze sasanek Marlin a jeho jediný syn Nemo. Marlin se s',
 'snaží svého syna před nástrahami okolí ochránit. Nemo je však, stejně jako',
 'postaviček. Scénáristou a režisérem filmu Hledá se Nemo je Andrew Stanton,',
 'Hledá se Nemo a jeho úžasný podmořský svět je zcela novým uměleckým a']

>>> find('Matrix', Path('data/CSFD/Harry_Potter.txt'))  # doctest: +NORMALIZE_WHITESPACE
[]

>>> find('slivovice', Path('data/CSFD/Dedictvi.txt'))  # doctest: +NORMALIZE_WHITESPACE
['slivovice a zahálčivým povalováním v trávě. Jeho poklidný a vcelku spokojený']
"""


from pathlib import Path


def find(word: str, file: Path) -> list[str]:
    """Return the list of lines from `file` that contain `word`."""
    raise NotImplementedError()  # Nahraďte řešením
