"""
Module for computation of areas of geometric shapes.
"""


import math


def rectangle_area(a: float, b:float) -> float:
    """Return the area of a rectangle with sides `a`, `b`."""
    return a * b


def square_area(a: float) -> float:
    """Return the area of a square with side `a`."""
    return rectangle_area(a, a)


def circle_area(r: float) -> float:
    """Return the area of a circle with radius `r`."""
    return math.pi * r**2
