"""
>>> collision_probability(1) == 0                  # 1 člověk - nulová pravděpodobnost kolize
True

>>> 0.09 <= collision_probability(10) <= 0.14      # 10 lidí - pravděpodobnost je zhruba 12 % (0.12)
True

>>> 0.45 <= collision_probability(23) <= 0.55      # 23 lidí - pravděpodobnost je zhruba 50 % (0.5)
True

>>> 0.65 <= collision_probability(30) <= 0.75      # 30 lidí - pravděpodobnost je zhruba 70 % (0.7)
True

>>> 0.98 <= collision_probability(60) <= 1.00      # 60 lidí - pravděpodobnost je zhruba 99.4 % (0.994)
True

>>> collision_probability(366) == 1.00             # 366 lidí - určitě dojde ke kolizi
True

"""


def collision_probability(n: int) -> float:
    """Calculate the probability that among `n` people there will be two with the same birthday."""
    raise NotImplementedError()  # Nahraďte řešením


if __name__ == '__main__':
    print('1 person: ', collision_probability(1))
    print('10 people: ', collision_probability(10))
    print('23 people: ', collision_probability(23))
    print('30 people: ', collision_probability(30))
    print('60 people: ', collision_probability(60))
    print('366 people: ', collision_probability(366))
