"""
>>> print_header(Path('data/CSFD/Dedictvi.txt'))  # doctest: +NORMALIZE_WHITESPACE
Bohuš je rázovitý vesnický chlapík, který žije sám v rozpadající se chalupě.
Pracuje jako dřevař, většinu času však se svými kumpány tráví popíjením
slivovice a zahálčivým povalováním v trávě. Jeho poklidný a vcelku spokojený
život se změní v okamžiku, kdy se objeví elegantní advokát Ulrich, který
překvapenému Bohušovi oznámí, že zdědil obrovský majetek.

>>> print_header(Path('data/CSFD/Matrix.txt'))  # doctest: +NORMALIZE_WHITESPACE
Uvěříte neuvěřitelnému! Představte si, že vaše realita je jen iluzí a vaše
nejtemnější noční můry jsou ve skutečnosti pravdivé. Představte si, že vaše
současnost je vlastně minulostí a to budoucí se děje právě teď. Když si to
dokážete představit, potom se budete cítit jako hrdina snímku Matrix Thomas
Anderson (Keanu Reeves). A věřte, že to nebude příjemný pocit. Anderson je
normální mladý muž, který se jen snaží přežít v každodenním shonu moderního
velkoměsta. A má všechny předpoklady aby se mu to povedlo: dobré přátele,
milující rodinu a perspektivní práci v multinárodní počítačové společnosti Meta
Cortech. Jednoho dne, nebo lépe řečeno noci, se však do jeho spokojeného mozku
zakousne strašlivá noční můra. Zdá se mu, že byl proti své vůli vložen v podobě

>>> print_header(Path('Meaning_of_Life'))  # doctest: +NORMALIZE_WHITESPACE
Meaning_of_Life not found
"""


from pathlib import Path


def print_header(file: Path) -> None:
    """Print first 10 lines of a file"""
    raise NotImplementedError()  # Nahraďte řešením

