"""
>>> sum_paper(Path('data/paper.txt'))  # doctest: +NORMALIZE_WHITESPACE 
{'Bob': 28.0, 'Hanka': 27.5, 'Gertruda': 24.0, 'John': 22.0, 'Ivana': 20.5, 
 'Dana': 20.0, 'Cyril': 19.5, 'Alice': 15.0, 'Filip': 8.0, 'Emil': 7.5}

>>> sum_paper(Path('data/paper2.txt'))  # doctest: +NORMALIZE_WHITESPACE 
{'John': 22.0, 'Gertruda': 11.0, 'Filip': 3.5}

"""


from pathlib import Path


def sum_paper(file: Path) -> dict[str, float]:
    """Return total weight of paper collected by each person."""
    raise NotImplementedError()  # Nahraďte řešením
